# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-YAML-Valid
Version:	0.04
Release:	39.%{__distinit}%{__distvers}
Summary:	Lets you test the validity of YAML files in unit tests
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Test-YAML-Valid
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-YAML-Valid-%{version}.tar.gz
Patch0:		Test-YAML-Valid-0.04-Fix-building-on-Perl-without-.-in-INC.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
# Dependencies of bundled Module::Install
BuildRequires:	perl(Config)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(ExtUtils::Manifest)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(JSON)
BuildRequires:	perl(Parse::CPAN::Meta)
BuildRequires:	perl(vars)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(warnings)
BuildRequires:	perl(YAML) >= 0.60
# Test Suite
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.14
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
BuildRequires:	perl(YAML::Syck)
BuildRequires:	perl(YAML::Tiny)
BuildRequires:	perl(YAML::XS)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
# Default backend; can also optionally use YAML::Syck, YAML::Tiny, or YAML::XS
Requires:	perl(YAML) >= 0.60

%description
Lets you test the validity of YAML files inside your
(Test::Builder-based) unit tests.

%prep
%setup -q -n Test-YAML-Valid-%{version}

# Fix building on Perl without "." in @INC (CPAN RT#120438)
%patch -P 0 -p1

%build
perl Makefile.PL --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::YAML::Valid.3*

%changelog
* Wed May 31 2023 Paul Howarth <paul@city-fan.org> - 0.04-39
- Use SPDX-format license tag
- Avoid use of deprecated patch syntax

* Mon Jun  3 2019 Paul Howarth <paul@city-fan.org> - 0.04-28
- Perl 5.30 rebuild

* Wed Apr  4 2018 Paul Howarth <paul@city-fan.org> - 0.04-23
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Tue Jun 13 2017 Paul Howarth <paul@city-fan.org> - 0.04-21
- Fix building on Perl without "." in @INC (CPAN RT#120438)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Oct 11 2016 Paul Howarth <paul@city-fan.org> - 0.04-18
- Classify buildreqs by usage
- Simplify find command using -delete

* Sun Sep 14 2014 Paul Howarth <paul@city-fan.org> - 0.04-14
- Drop %%defattr, redundant since rpm 4.4

* Wed Jul  4 2012 Paul Howarth <paul@city-fan.org> - 0.04-8
- BR: perl(base), perl(Carp), perl(Cwd), perl(Exporter), perl(File::Path),
  perl(File::Spec) and perl(File::Spec::Functions)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Always BR: perl(YAML::XS)
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Jun 30 2011 Paul Howarth <paul@city-fan.org> - 0.04-6
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Mar 16 2011 Paul Howarth <paul@city-fan.org> - 0.04-5
- Import from Fedora

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-3
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu Jul 01 2010 Mark Chappell <tremble@fedoraproject.org> - 0.04-2
- Add in missing BR for extra tests

* Wed Jun 30 2010 Mark Chappell <tremble@fedoraproject.org> - 0.04-1
- New upstream version

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.03-8
- Mass rebuild with perl-5.12.0

* Tue Jan 12 2010 Daniel P. Berrange <berrange@redhat.com> - 0.03-7
- Fix source URL

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.03-6
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Daniel P. Berrange <berrange@redhat.com> - 0.03-4.fc11
- Add perl(YAML) and perl(YAML::Syck) requirements (rhbz #495401)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-2
- Rebuild for new perl

* Fri Dec 21 2007 Daniel P. Berrange <berrange@redhat.com> 0.03-1
- Specfile autogenerated by cpanspec 1.73
